List Transaction Groups
Retrieve a list of transaction groups. The transaction groups can be filtered by fields such as `id`. The transaction groups can also be sorted or paginated.
In: header
Query Parameters
Filter by a transaction group's creation date.
Filter by a transaction group's update date.
Limit the number of items returned in the list.
The number of items to skip when retrieving a list.
The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.
Comma-separated fields that should be included in the returned data. If a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. Without prefix it will replace the entire default fields.
Join query parameters with an AND condition. Each object's content is the same type as the expected query parameters.
Join query parameters with an OR condition. Each object's content is the same type as the expected query parameters.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X GET "https://{tenant}.api.myxclade.com/admin/transaction-groups"{
"limit": 0,
"offset": 0,
"count": 0,
"transaction_groups": [
{
"id": "string",
"code": "string",
"credits": 0,
"debits": 0,
"balance": 0,
"account": {},
"metadata": {}
}
],
"estimate_count": 0
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}